#include<iostream>
#include<vector>
using namespace std;

int main(){
    int n;
        cin>>n;
            vector<int>a(n),b(n);
                for(int i=0;i<n;i++)cin>>a[i];
                    for(int i=0;i<n;i++)cin>>b[i];
                        
                            long long max_vrednost=0;
                                for(int l=0;l<n;l++){
                                        int trenutni_xor=0,trenutni_and=b[l];
                                                for(int r=l;r<n;r++){
                                                            trenutni_xor^=a[r];
                                                                        trenutni_and&=b[r];
                                                                                    max_vrednost=max(max_vrednost,(long long)trenutni_xor*trenutni_and);
                                                                                            }
                                                                                                }
                                                                                                    
                                                                                                        cout<<max_vrednost<<endl;
                                                                                                            return 0;
                                                                                                            }